Remove multiple permissions from an organization role
curl --request DELETE \
--url https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}/permissionsimport requests
url = "https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}/permissions"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Permissions
Remove multiple permissions from an organization role
Required membership role: org admin. PBAC permission: role.update. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
DELETE
/
v2
/
organizations
/
{orgId}
/
roles
/
{roleId}
/
permissions
Remove multiple permissions from an organization role
Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Query Parameters
Permissions to remove (format: resource.action). Supports comma-separated values as well as repeated query params.
Available options:
*.*, role.create, role.read, role.readTeamRoles, role.readOrgRoles, role.update, role.delete, eventType.create, eventType.read, eventType.readTeamEventTypes, eventType.readOrgEventTypes, eventType.update, eventType.delete, team.create, team.read, team.readOrgTeams, team.readTeamSettings, team.readConferencing, team.readVerifiedResources, team.readMemberships, team.update, team.delete, team.invite, team.remove, team.listMembers, team.listMembersPrivate, team.changeMemberRole, team.impersonate, organization.create, organization.read, organization.readMemberships, organization.readManagedOrganizations, organization.readDelegationCredentials, organization.listMembers, organization.listMembersPrivate, organization.invite, organization.remove, organization.manageBilling, organization.changeMemberRole, organization.impersonate, organization.passwordReset, organization.editUsers, organization.update, organization.delete, booking.read, booking.readOrgBookings, booking.readRecordings, booking.update, booking.updateOrgBookings, booking.reassignOrgPastBookings, booking.readOrgAuditLogs, insights.read, workflow.create, workflow.read, workflow.readTeamWorkflows, workflow.update, workflow.delete, organization.attributes.read, organization.attributes.update, organization.attributes.delete, organization.attributes.create, organization.attributes.readSyncHistory, organization.attributes.editUsers, organization.attributes.readAuditLogs, routingForm.create, routingForm.read, routingForm.readTeamRoutingForms, routingForm.readOrgRoutingForms, routingForm.update, routingForm.delete, routingForm.readOrgAuditLogs, routingForm.readResponsePii, webhook.create, webhook.read, webhook.readOrgWebhooks, webhook.update, webhook.delete, availability.readTeamAvailability, availability.readOrgAvailability, availability.updateOrgAvailability, ooo.readOrgOoo, watchlist.create, watchlist.read, watchlist.update, watchlist.delete, featureOptIn.read, featureOptIn.update, organization.customDomain.create, organization.customDomain.read, organization.customDomain.update, organization.customDomain.delete, tag.create, tag.update, tag.delete Example:
"?permissions=eventType.read,booking.read"
Response
204 - undefined
Was this page helpful?